> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wallet Addresses

> Returns all deposit addresses associated with a wallet



## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses:
    get:
      tags:
        - Wallets
      summary: List Wallet Addresses
      description: Returns all deposit addresses associated with a wallet
      operationId: PrimeRESTAPI_ListWalletAddresses
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID associated with the wallet
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: The wallet ID for which to retrieve all deposit addresses
          required: true
          schema:
            type: string
        - name: network_id
          in: query
          description: >-
            The blockchain network name and type, provide an empty network to
            retrieve addresses across all networks for this wallet
          schema:
            type: string
        - name: cursor
          in: query
          description: Cursor to retrieve the next page of results
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of addresses to return in a single response
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListWalletAddressesResponse
components:
  schemas:
    coinbase.public_rest_api.ListWalletAddressesResponse:
      required:
        - addresses
        - pagination
      type: object
      properties:
        addresses:
          title: Addresses
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.BlockchainAddress'
        pagination:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaginatedResponse'
    coinbase.public_rest_api.BlockchainAddress:
      type: object
      properties:
        address:
          title: The address
          type: string
          description: The address on the network
        account_identifier:
          title: >-
            The destination value’s account_identifier (MEMO/DESTINATION TAG)
            value
             for the withdrawal
          type: string
          description: >-
            The account identifier (used on some chains to distinguish accounts
            using the same address)
        network:
          $ref: '#/components/schemas/coinbase.public_rest_api.Network'
    coinbase.public_rest_api.PaginatedResponse:
      required:
        - has_next
        - next_cursor
        - sort_direction
      type: object
      properties:
        next_cursor:
          type: string
          description: Cursor to navigate to next page
        sort_direction:
          $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        has_next:
          type: boolean
          description: >-
            A boolean value indicating whether there are more items to paginate
            through
    coinbase.public_rest_api.Network:
      type: object
      properties:
        id:
          title: The name of the network
          type: string
          description: 'The network id: base, bitcoin, ethereum, solana etc'
        type:
          title: The network type
          type: string
          description: 'The network type: mainnet, testnet, etc'
    coinbase.public_rest_api.SortDirection:
      type: string
      default: DESC
      enum:
        - DESC
        - ASC

````